Page 1 of 2 12 LastLast
Results 1 to 10 of 12

Thread: 9.10 -> 10.04: Update Manager offers "Partial Upgrade", Terminal Offers Nothing.

Hybrid View

  1. #1
    Join Date
    Dec 2008
    Beans
    39

    9.10 -> 10.04: Update Manager offers "Partial Upgrade", Terminal Offers Nothing.

    Okay, so I tried hitting up Update Manager to upgrade from Karmic to Lucid (apparently that's the sissy way to do it, but whatever). So, it starts doing its thing... and then a window pops up saying it can only do a "partial upgrade".

    So I smell a rat, and go a-Googling. Most of the threads I've seen seem to refer to the Alpha/Beta versions, and all just advise waiting a little while to see if the issue clears itself up. This I will do, but in the meantime, I booted up the terminal and tried using apt-get. Maybe I'd get an error message or something:

    Code:
    aaron@aaron-desktop:~$ sudo apt-get update && sudo apt-get upgrade
    Hit http://security.ubuntu.com karmic-security Release.gpg
    Ign http://security.ubuntu.com karmic-security/main Translation-en_US
    Ign http://security.ubuntu.com karmic-security/restricted Translation-en_US
    Hit http://us.archive.ubuntu.com karmic Release.gpg                  
    Ign http://us.archive.ubuntu.com karmic/main Translation-en_US       
    Ign http://us.archive.ubuntu.com karmic/restricted Translation-en_US 
    Hit http://packages.medibuntu.org karmic Release.gpg                 
    Ign http://packages.medibuntu.org karmic/free Translation-en_US      
    Ign http://packages.medibuntu.org karmic/non-free Translation-en_US  
    Ign http://security.ubuntu.com karmic-security/universe Translation-en_US
    Ign http://security.ubuntu.com karmic-security/multiverse Translation-en_US
    Hit http://security.ubuntu.com karmic-security Release               
    Ign http://us.archive.ubuntu.com karmic/universe Translation-en_US   
    Ign http://us.archive.ubuntu.com karmic/multiverse Translation-en_US
    Hit http://us.archive.ubuntu.com karmic-updates Release.gpg
    Ign http://us.archive.ubuntu.com karmic-updates/main Translation-en_US
    Ign http://us.archive.ubuntu.com karmic-updates/restricted Translation-en_US
    Ign http://us.archive.ubuntu.com karmic-updates/universe Translation-en_US
    Ign http://us.archive.ubuntu.com karmic-updates/multiverse Translation-en_US
    Hit http://us.archive.ubuntu.com karmic Release                      
    Hit http://packages.medibuntu.org karmic Release                               
    Hit http://security.ubuntu.com karmic-security/main Packages         
    Hit http://us.archive.ubuntu.com karmic-updates Release
    Hit http://packages.medibuntu.org karmic/free Packages                         
    Hit http://security.ubuntu.com karmic-security/restricted Packages   
    Hit http://security.ubuntu.com karmic-security/main Sources          
    Hit http://security.ubuntu.com karmic-security/restricted Sources    
    Hit http://security.ubuntu.com karmic-security/universe Packages     
    Hit http://security.ubuntu.com karmic-security/universe Sources      
    Hit http://security.ubuntu.com karmic-security/multiverse Packages   
    Hit http://security.ubuntu.com karmic-security/multiverse Sources    
    Hit http://us.archive.ubuntu.com karmic/main Packages                
    Hit http://us.archive.ubuntu.com karmic/restricted Packages
    Hit http://us.archive.ubuntu.com karmic/main Sources
    Hit http://us.archive.ubuntu.com karmic/restricted Sources
    Hit http://us.archive.ubuntu.com karmic/universe Packages
    Hit http://packages.medibuntu.org karmic/non-free Packages
    Hit http://us.archive.ubuntu.com karmic/universe Sources
    Hit http://us.archive.ubuntu.com karmic/multiverse Packages
    Hit http://us.archive.ubuntu.com karmic/multiverse Sources
    Hit http://us.archive.ubuntu.com karmic-updates/main Packages
    Hit http://us.archive.ubuntu.com karmic-updates/restricted Packages
    Hit http://us.archive.ubuntu.com karmic-updates/main Sources
    Hit http://us.archive.ubuntu.com karmic-updates/restricted Sources
    Hit http://us.archive.ubuntu.com karmic-updates/universe Packages
    Hit http://us.archive.ubuntu.com karmic-updates/universe Sources
    Hit http://us.archive.ubuntu.com karmic-updates/multiverse Packages
    Hit http://us.archive.ubuntu.com karmic-updates/multiverse Sources
    Reading package lists... Done
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    
    aaron@aaron-desktop:~$ sudo apt-get dist-upgrade
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Calculating upgrade... Done
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    ...um, wasn't that supposed to also do the 9.10->10.04 upgrade? Is there something else screwy going on? And, while I'm on the subject, is there something buggy with the released 10.04, that's giving me only a partial upgrade, or is the problem on my end?

  2. #2
    Join Date
    Dec 2008
    Beans
    39

    Re: 9.10 -> 10.04: Update Manager offers "Partial Upgrade", Terminal Offers Nothing.

    Yeah, far as I can tell there's no reason that apt-get dist-upgrade shouldn't work, but for some reason it isn't. Did I screw up by even starting the "Partial Upgrade"?

    What causes Update Manager to drop to a Partial Upgrade, anyway? Is it the fact that I installed the 9.03 fglrx drivers for my Radeon 4670? If I get rid of those, will that fix the "cannot upgrade" problem?

  3. #3
    Join Date
    Apr 2005
    Location
    Finland/UK
    Beans
    Hidden!
    Distro
    Ubuntu 16.04 Xenial Xerus

    Re: 9.10 -> 10.04: Update Manager offers "Partial Upgrade", Terminal Offers Nothing.

    Quote Originally Posted by Eyeless Blond View Post
    Yeah, far as I can tell there's no reason that apt-get dist-upgrade shouldn't work, but for some reason it isn't. Did I screw up by even starting the "Partial Upgrade"?

    What causes Update Manager to drop to a Partial Upgrade, anyway? Is it the fact that I installed the 9.03 fglrx drivers for my Radeon 4670? If I get rid of those, will that fix the "cannot upgrade" problem?
    A partial upgrade means that there are some packages available that are newer than what you have installed, but some problem with dependencies means that the updates for those packages can't be installed.

    This is most common if you are using some third-party repositories that are not fully compatible with Ubuntu, try to mix repositories for different Ubuntu versions, or simply the repository's maintainer was uploading new packages to the repository at the very moment when you tried to update so that all the latest packages weren't already there.

  4. #4
    Join Date
    Dec 2008
    Beans
    39

    Re: 9.10 -> 10.04: Update Manager offers "Partial Upgrade", Terminal Offers Nothing.

    Quote Originally Posted by mcduck View Post
    A partial upgrade means that there are some packages available that are newer than what you have installed, but some problem with dependencies means that the updates for those packages can't be installed.

    This is most common if you are using some third-party repositories that are not fully compatible with Ubuntu, try to mix repositories for different Ubuntu versions, or simply the repository's maintainer was uploading new packages to the repository at the very moment when you tried to update so that all the latest packages weren't already there.
    Okay, so what does that mean in this context? I did add Mediabuntu, but other than that I don't have any other third party repositories now (oddly, I did before the last upgrade 9.04->9.10, and didn't have any problems with partial upgrades). I just uninstalled fglrx, and waited a day just in case there was a problem on the server side (unlikely, I know, as 10.04 is supposedly stable at this point).

    But it's still no good; I'm still getting partial upgrade from update-manager. I tried running "sudo do-release-upgrade" in a terminal. There's no mention of "partial upgrade" in the wall-o-text I'm seeing now, but I'm not sure what I'm looking at so I don't know whether it's working correctly or if I'm borking my system.

    (Edit): Right, details. So, first I get this wall-o-text:

    Code:
    aaron@aaron-desktop:~$ sudo do-release-upgrade
    Checking for a new ubuntu release
    Done Upgrade tool signature
    Done Upgrade tool
    Done downloading            
    extracting 'lucid.tar.gz'
    authenticate 'lucid.tar.gz' against 'lucid.tar.gz.gpg' 
    tar: Removing leading `/' from member names
    
    Reading cache
    
    Checking package manager
    Reading package lists: Done
    Reading state information: Done
    Reading state information: Done
    Reading state information: Done
    Done downloading            
    Reading package lists: Done
    Reading state information: Done
    Reading state information: Done
    Reading state information: Done
    
    Updating repository information
    WARNING: Failed to read mirror file
    
    Third party sources disabled 
    
    Some third party entries in your sources.list were disabled. You can 
    re-enable them after the upgrade with the 'software-properties' tool 
    or your package manager. 
    
    Done downloading            
    
    Checking package manager
    Reading package lists: Donelucid-security/multiverse Packages: 96   
    Reading state information: Done
    Reading state information: Done
    Reading state information: Done
    
    Calculating the changes
    
    Calculating the changes
    
    Support for some applications ended 
    
    Canonical Ltd. no longer provides support for the following software 
    packages. You can still get support from the community. 
    
    Demoted: 
    bluetooth, compiz-fusion-plugins-extra, glchess, glines, gnect, 
    gnibbles, gnobots2, gnome-pilot, gnome-pilot-conduits, gnotravex, 
    gnotski, gtali, iagno, latex-xft-fonts, libcompress-bzip2-perl, 
    libesd-alsa0, libgmime-2.0-2a, libgtkhtml2-0, libsensors3, 
    libtrackerclient0, libusplash0, mesa-utils, netcat-traditional, 
    python-sexy, sreadahead, ubuntu-xsplash-artwork, xsane, xsane-common, 
    xsplash 
    
    
    
    Do you want to start the upgrade? 
    
    
    25 packages are going to be removed. 188 new packages are going to be 
    installed. 1239 packages are going to be upgraded. 
    
    You have to download a total of 759M. This download will take about 1 
    hour 36 minutes with a 1Mbit DSL connection and about 1 day 5 hours 
    with a 56k modem. 
    
    Fetching and installing the upgrade can take several hours. Once the 
    download has finished, the process cannot be cancelled. 
    
     Continue [yN]  Details [d]
    then hitting "Details" gets wall-o-text the second:


    Code:
    Remove: compiz-wrapper devicekit-disks devicekit-power empathy-doc 
      evolution-documentation-en gnometris laptop-mode-tools 
      libcouchdb-glib-1.0-1 libdbusmenu-glib0 libdbusmenu-gtk0 
      libempathy-common libempathy-gtk-common libempathy-gtk28 
      libempathy30 libgnomekbdui4 libmetacity0 libparted1.8-12 
      libsdl1.2debian-alsa pulseaudio-module-udev 
      python-lazr-restfulclient python-lazr-uri same-gnome usplash 
      usplash-theme-ubuntu 
    
    Remove (was auto installed) deluge-core 
    
    
    Install: adium-theme-ubuntu avahi-utils branding-ubuntu 
      brasero-common busybox-static cpu-checker deluge-gtk diffutils 
      empathy-common fancontrol fglrx fglrx-amdcccle firefox-branding 
      freeglut3 gawk gbrainy gir1.0-atk-1.0 gir1.0-clutter-1.0 
      gir1.0-clutter-gtk-0.10 gir1.0-freedesktop gir1.0-gconf-2.0 
      gir1.0-glib-2.0 gir1.0-gstreamer-0.10 gir1.0-gtk-2.0 
      gir1.0-pango-1.0 gnome-js-common gnome-user-share gnupg-curl 
      gstreamer0.10-gnonlin gwibber gwibber-service hunspell-en-ca 
      imagemagick indicator-application indicator-me indicator-sound 
      initramfs-tools-bin intel-gpu-tools irqbalance libappindicator0 
      libass4 libbind9-60 libblas3gf libboost-filesystem1.40.0 
      libboost-python1.40.0 libboost-system1.40.0 libboost-thread1.40.0 
      libcap-ng0 libcdio10 libcouchdb-glib-1.0-2 libdb4.8 
      libdbusmenu-glib1 libdbusmenu-gtk1 libdesktopcouch-glib-1.0-2 
      libdns64 libdrm-nouveau1 libesd0 libevdocument2 libevview2 libfaad2 
      libfile-copy-recursive-perl libgdata6 libgfortran3 
      libgirepository1.0-0 libgmime2.4-cil libgnome-desktop-2-17 
      libgoocanvas-common libgoocanvas3 libgraphite3 libgssdp-1.0-2 
      libgtkglext1 libgupnp-1.0-3 libhpmud0 libicu42 libido-0.1-0 
      libimobiledevice0 libindicate-gtk2 libindicate4 libindicator0 
      libisc60 libisccc60 libisccfg60 libiso9660-7 libiw30 libkpathsea5 
      liblapack3gf liblaunchpad-integration1.0-cil liblwres60 liblzma1 
      libmagickcore2-extra libmetacity-private0 libmikmod2 
      libmono-system-runtime2.0-cil libnih-dbus1 libnih1 libntfs-3g75 
      libntfs10 libnunit2.4-cil libparted0debian1 libplist1 libplymouth2 
      libportmidi0 libprotobuf5 libprotoc5 librasqal2 libsdl-mixer1.2 
      libsdl-ttf2.0-0 libsdl1.2debian-pulseaudio libseed0 libsensors4 
      libsmpeg0 libtalloc2 libtotem-plparser17 libubuntuone-1.0-1 
      libupower-glib1 libusb-1.0-0 libusbmuxd1 libx264-85 libxklavier16 
      libxml-libxml-perl libxml-namespacesupport-perl 
      libxml-sax-expat-perl libxml-sax-perl light-themes lightsoff 
      linux-headers-2.6.32-22 linux-headers-2.6.32-22-generic 
      linux-image-2.6.32-22-generic lm-sensors manpages-dev 
      nautilus-sendto-empathy netcat-openbsd network-manager-pptp 
      network-manager-pptp-gnome ntfsprogs nvidia-current-modaliases 
      odbcinst pitivi plymouth plymouth-label plymouth-theme-ubuntu-logo 
      plymouth-theme-ubuntu-text plymouth-x11 pm-utils-powersave-policy 
      policykit-desktop-privileges pptp-linux python-appindicator 
      python-egenix-mxdatetime python-egenix-mxtools python-farsight 
      python-gtkglext1 python-gtkspell python-indicate 
      python-lazr.restfulclient python-lazr.uri python-mako python-numpy 
      python-opengl python-pexpect python-pycurl python-pygame 
      python-pygoocanvas python-ubuntuone python-wnck quadrapassel 
      rhythmbox-plugin-cdrecorder rhythmbox-plugins 
      rhythmbox-ubuntuone-music-store rtkit sdparm seed sensible-utils 
      simple-scan swell-foop ttf-kacst-one ttf-khmeros-core 
      ttf-punjabi-fonts ttf-symbol-replacement ttf-takao-pgothic 
      ttf-wqy-microhei ubuntu-mono udisks upower usbmuxd wine1.2 
      wine1.2-gecko xserver-xorg-video-nouveau xulrunner-1.9.2 
    
    
    Upgrade: acpi-support acpid adduser aisleriot alacarte alsa-base 
      alsa-utils anacron app-install-data app-install-data-partner 
      apparmor apparmor-utils apport apport-gtk apport-symptoms apt 
      apt-transport-https apt-utils apt-xapian-index aptdaemon aptitude 
      apturl apturl-common aspell at at-spi avahi-autoipd avahi-daemon 
      base-files base-passwd bash bash-completion bc bcmwl-modaliases 
      bind9-host binfmt-support binutils bluetooth bluez bluez-alsa 
      bluez-cups bluez-gstreamer bluez-utils bogofilter bogofilter-bdb 
      bogofilter-common brasero brltty brltty-x11 bsdmainutils bsdutils 
      busybox-initramfs byobu bzip2 capplets-data cdparanoia checkbox 
      checkbox-gtk command-not-found command-not-found-data compiz 
      compiz-core compiz-fusion-plugins-main compiz-gnome compiz-plugins 
      compizconfig-backend-gconf computer-janitor computer-janitor-gtk 
      console-setup console-terminus consolekit coreutils couchdb-bin 
      cpio cpp cpp-4.4 cron cups cups-bsd cups-client cups-common 
      cups-driver-gutenprint cups-pdf dash dbus dbus-x11 dc dcraw debconf 
      debconf-i18n debianutils defoma deluge deluge-common 
      desktop-file-utils desktopcouch dhcp3-client dhcp3-common 
      dictionaries-common diff dkms dmidecode dmsetup dnsmasq-base 
      dnsutils doc-base docbook-xml dosfstools dpkg dvd+rw-tools e2fslibs 
      e2fsprogs ed eject empathy eog erlang-base erlang-crypto 
      erlang-inets erlang-mnesia erlang-public-key erlang-runtime-tools 
      erlang-ssl erlang-syntax-tools erlang-xmerl esound-clients 
      esound-common espeak espeak-data ethtool evince evolution 
      evolution-common evolution-couchdb evolution-data-server 
      evolution-data-server-common evolution-exchange evolution-indicator 
      evolution-plugins evolution-webcal example-content f-spot fakeroot 
      fglrx-kernel-source fglrx-modaliases file file-roller findutils 
      finger firefox firefox-3.5 firefox-3.5-branding 
      firefox-3.5-gnome-support firefox-gnome-support 
      flashplugin-installer fontconfig fontconfig-config foo2zjs 
      foomatic-db foomatic-db-engine foomatic-filters friendly-recovery 
      ftp fuse-utils gamin gcalctool gcc gcc-4.4 gcc-4.4-base 
      gconf-defaults-service gconf-editor gconf2 gconf2-common gdb gdebi 
      gdebi-core gdm gdm-guest-session gedit gedit-common genisoimage 
      geoip-database gettext-base ggzcore-bin ghostscript 
      ghostscript-cups ghostscript-x gimp gimp-data gksu glchess glines 
      gnect gnibbles gnobots2 gnome-about gnome-accessibility-themes 
      gnome-applets gnome-applets-data gnome-bluetooth 
      gnome-codec-install gnome-control-center gnome-desktop-data 
      gnome-disk-utility gnome-doc-utils gnome-games gnome-games-common 
      gnome-icon-theme gnome-keyring gnome-mag gnome-mahjongg gnome-media 
      gnome-media-common gnome-menus gnome-nettool gnome-orca gnome-panel 
      gnome-panel-data gnome-pilot gnome-power-manager gnome-screensaver 
      gnome-session gnome-session-bin gnome-session-canberra 
      gnome-settings-daemon gnome-sudoku gnome-system-monitor 
      gnome-system-tools gnome-terminal gnome-terminal-data 
      gnome-themes-selected gnome-themes-ubuntu gnome-user-guide 
      gnome-utils gnomine gnotravex gnotski gnupg gpgv grep groff-base 
      grub-common grub-pc gstreamer0.10-alsa gstreamer0.10-nice 
      gstreamer0.10-plugins-base gstreamer0.10-plugins-base-apps 
      gstreamer0.10-plugins-good gstreamer0.10-pulseaudio 
      gstreamer0.10-tools gstreamer0.10-x gtali gtk2-engines 
      gtk2-engines-murrine gtk2-engines-pixbuf gucharmap guile-1.8-libs 
      gvfs gvfs-backends gvfs-bin gvfs-fuse gzip hal hal-info hdparm 
      hicolor-icon-theme hostname hpijs hplip hplip-data human-theme 
      humanity-icon-theme hunspell-en-us ia32-libs iagno ibus ibus-gtk 
      ibus-m17n ibus-table ifupdown im-switch indicator-applet 
      indicator-applet-session indicator-messages indicator-session info 
      initramfs-tools initscripts inputattach insserv install-info 
      iproute iptables iputils-arping iputils-ping iputils-tracepath 
      iso-codes java-common jockey-common jockey-gtk kbd 
      kerneloops-daemon klibc-utils language-pack-en 
      language-pack-en-base language-pack-gnome-en 
      language-pack-gnome-en-base language-selector 
      language-selector-common language-support-writing-en laptop-detect 
      launchpad-integration less lftp lib32asound2 lib32bz2-1.0 lib32gcc1 
      lib32ncurses5 lib32nss-mdns lib32stdc++6 lib32v4l-0 lib32z1 
      liba52-0.7.4 libaa1 libacl1 libanthy0 libapparmor-perl libapparmor1 
      libarchive1 libart-2.0-2 libart2.0-cil libasound2 
      libasound2-plugins libaspell15 libatasmart4 libatk1.0-0 
      libatk1.0-data libatm1 libatspi1.0-0 libattr1 libaudio2 
      libaudiofile0 libavahi-client3 libavahi-common-data 
      libavahi-common3 libavahi-core6 libavahi-glib1 libavahi-gobject0 
      libavahi-ui0 libavc1394-0 libavcodec52 libavformat52 libavutil49 
      libbabl-0.0-0 libbeagle1 libblkid1 libbluetooth3 libbonobo2-0 
      libbonobo2-common libbonoboui2-0 libbonoboui2-common 
      libbrasero-media0 libbrlapi0.5 libbsd0 libbz2-1.0 libc-bin 
      libc-dev-bin libc6 libc6-dev libc6-i386 libcaca0 libcairo-perl 
      libcairo2 libcairomm-1.0-1 libcamel1.2-14 libcanberra-gtk-module 
      libcanberra-gtk0 libcanberra-pulse libcanberra0 libcap2 libcddb2 
      libcdio-cdda0 libcdio-paranoia0 libcdparanoia0 libck-connector0 
      libclass-accessor-perl libclutter-1.0-0 libclutter-gtk-0.10-0 
      libcolamd2.7.1 libcomerr2 libcompizconfig0 libcroco3 libcryptui0 
      libcups2 libcupscgi1 libcupsdriver1 libcupsimage2 libcupsmime1 
      libcupsppdc1 libcurl3 libcurl3-gnutls libcwidget3 libdaemon0 
      libdatrie1 libdb4.7 libdbus-1-3 libdbus-glib-1-2 libdecoration0 
      libdevkit-power-gobject1 libdevmapper1.02.1 libdirectfb-1.2-0 
      libdjvulibre-text libdjvulibre21 libdotconf1.0 libdrm-intel1 
      libdrm-radeon1 libdrm2 libdv4 libdvdnav4 libdvdread4 
      libebackend1.2-0 libebook1.2-9 libecal1.2-7 libedata-book1.2-2 
      libedata-cal1.2-6 libedataserver1.2-11 libedataserverui1.2-8 
      libedit2 libeggdbus-1-0 libegroupwise1.2-13 libelf1 libenca0 
      libenchant1c2a libept0 libesd-alsa0 libespeak1 libevent-1.4-2 
      libexchange-storage1.2-3 libexempi3 libexif12 libexpat1 libffi5 
      libflac8 libflickrnet2.2-cil libfontconfig1 libfontenc1 
      libfreetype6 libfribidi0 libfs6 libfuse2 libgadu3 libgail-common 
      libgail-gnome-module libgail18 libgamin0 libgc1c2 libgcc1 
      libgconf2-4 libgconf2.0-cil libgcr0 libgcrypt11 libgd2-xpm 
      libgdata-common libgdata-google1.2-1 libgdata1.2-1 libgdbm3 
      libgdict-1.0-6 libgdiplus libgdu-gtk0 libgdu0 libgegl-0.0-0 
      libgeoip1 libggz2 libggzcore9 libggzmod4 libgif4 libgimp2.0 
      libgksu2-0 libgl1-mesa-dri libgl1-mesa-glx libglade2-0 
      libglade2.0-cil libglib-perl libglib2.0-0 libglib2.0-cil 
      libglib2.0-data libglibmm-2.4-1c2a libglitz-glx1 libglitz1 
      libglu1-mesa libgmime-2.0-2a libgmime-2.4-2 libgmime2.2a-cil 
      libgmp3c2 libgnome-bluetooth7 libgnome-keyring0 
      libgnome-keyring1.0-cil libgnome-mag2 libgnome-media0 
      libgnome-menu2 libgnome-pilot2 libgnome-vfs2.0-cil 
      libgnome-window-settings1 libgnome2-0 libgnome2-canvas-perl 
      libgnome2-common libgnome2-perl libgnome2-vfs-perl libgnome2.24-cil 
      libgnomecanvas2-0 libgnomecanvas2-common libgnomekbd-common 
      libgnomekbd4 libgnomepanel2.24-cil libgnomeui-0 libgnomeui-common 
      libgnomevfs2-0 libgnomevfs2-common libgnomevfs2-extra libgnutls26 
      libgomp1 libgp11-0 libgpg-error0 libgpgme11 libgphoto2-2 
      libgphoto2-port0 libgpm2 libgpod-common libgpod4 libgraphviz4 
      libgs8 libgsf-1-114 libgsf-1-common libgsl0ldbl libgsm1 
      libgssapi-krb5-2 libgstfarsight0.10-0 
      libgstreamer-plugins-base0.10-0 libgstreamer0.10-0 libgtk-vnc-1.0-0 
      libgtk2-perl libgtk2.0-0 libgtk2.0-bin libgtk2.0-cil 
      libgtk2.0-common libgtkhtml-editor-common libgtkhtml-editor0 
      libgtkhtml2-0 libgtkhtml3.14-19 libgtkmm-2.4-1c2a 
      libgtksourceview2.0-0 libgtksourceview2.0-common libgtkspell0 
      libgtop2-7 libgtop2-common libgucharmap7 libgudev-1.0-0 
      libgupnp-igd-1.0-2 libgutenprint2 libgvfscommon0 libgweather-common 
      libgweather1 libhal-storage1 libhal1 libhtml-parser-perl 
      libhunspell-1.2-0 libhyphen0 libibus1 libical0 libice6 libidl0 
      libidn11 libiec61883-0 libieee1284-3 libijs-0.35 libilmbase6 
      libjack0 libjasper1 libjpeg62 libjs-jquery libjson-glib-1.0-0 
      libk5crypto3 libkeyutils1 libklibc libkrb5-3 libkrb5support0 
      liblaunchpad-integration1 liblcms1 libldap-2.4-2 liblircclient0 
      liblocale-gettext-perl liblockfile1 libloudmouth1-0 liblouis-data 
      liblouis0 liblpint-bonobo0 libltdl7 liblua5.1-0 liblzo2-2 libm17n-0 
      libmad0 libmagic1 libmagickcore2 libmagickwand2 libmailtools-perl 
      libmeanwhile1 libmldbm-perl libmng1 libmodplug0c2 
      libmono-addins-gui0.2-cil libmono-addins0.2-cil 
      libmono-cairo2.0-cil libmono-corlib2.0-cil libmono-data-tds2.0-cil 
      libmono-i18n-west2.0-cil libmono-posix2.0-cil 
      libmono-security2.0-cil libmono-sharpzip2.84-cil 
      libmono-sqlite2.0-cil libmono-system-data2.0-cil 
      libmono-system-web2.0-cil libmono-system2.0-cil libmono2.0-cil 
      libmp3lame0 libmpcdec3 libmpfr1ldbl libmtp8 libmusicbrainz4c2a 
      libmysqlclient16 libnautilus-extension1 libncurses5 libncursesw5 
      libndesk-dbus-glib1.0-cil libndesk-dbus1.0-cil libneon27-gnutls 
      libnet-dbus-perl libnewt0.52 libnice0 libnl1 libnm-glib2 
      libnm-util1 libnotify1 libnspr4-0d libnss-mdns libnss3-1d libogg0 
      liboil0.3 liboobs-1-4 libopenal1 libopenexr6 libopenobex1 liborbit2 
      libotf0 libpam-ck-connector libpam-gnome-keyring libpam-modules 
      libpam-runtime libpam0g libpanel-applet2-0 libpango-perl 
      libpango1.0-0 libpango1.0-common libpangomm-1.4-1 libpaper-utils 
      libpaper1 libparse-debianchangelog-perl libpcap0.8 libpci3 
      libpciaccess0 libpcre3 libpcsclite1 libperl5.10 libpisock9 
      libpisync1 libpixman-1-0 libpng12-0 libpolkit-agent-1-0 
      libpolkit-backend-1-0 libpolkit-gobject-1-0 libpolkit-gtk-1-0 
      libpoppler-glib4 libpoppler5 libpopt0 libportaudio2 libpostproc51 
      libpq5 libproxy0 libpst4 libpth20 libpulse-browse0 
      libpulse-mainloop-glib0 libpulse0 libpurple-bin libpurple0 
      libpython2.6 libqtcore4 libqtgui4 libraptor1 librarian0 
      libraw1394-11 librdf0 libreadline6 librpc-xml-perl librsvg2-2 
      librsvg2-common libsamplerate0 libsane libsasl2-2 libsasl2-modules 
      libschroedinger-1.0-0 libsctp1 libsdl-image1.2 libsdl1.2debian 
      libselinux1 libsensors3 libsepol1 libsexy2 libsgutils2-2 
      libsigc++-2.0-0c2a libsilc-1.1-2 libsilcclient-1.1-3 libslang2 
      libslp1 libsm6 libsmbclient libsndfile1 libsnmp-base libsnmp15 
      libsoup-gnome2.4-1 libsoup2.4-1 libspectre1 libspeechd2 libspeex1 
      libspeexdsp1 libsqlite0 libsqlite3-0 libss2 libssl0.9.8 
      libstartup-notification0 libstdc++6 libsub-name-perl libsvga1 
      libswscale0 libsysfs2 libtag1-vanilla libtag1c2a libtasn1-3 libtdb1 
      libtelepathy-farsight0 libtelepathy-glib0 libterm-readkey-perl 
      libtext-charwidth-perl libtext-iconv-perl libthai-data libthai0 
      libtheora0 libtiff4 libtimedate-perl libtorrent-rasterbar5 
      libtrackerclient0 libts-0.0-0 libudev0 libunique-1.0-0 libupnp3 
      liburi-perl libusb-0.1-4 libusplash0 libuuid-perl libuuid1 libv4l-0 
      libvcdinfo0 libvisual-0.4-0 libvlc2 libvlccore2 libvorbis0a 
      libvorbisenc2 libvorbisfile3 libvte-common libvte9 libwavpack1 
      libwbclient0 libwebkit-1.0-2 libwebkit-1.0-common libwmf0.2-7 
      libwmf0.2-7-gtk libwnck-common libwnck22 libwpd8c2a libwpg-0.1-1 
      libwps-0.1-1 libwrap0 libwww-perl libx11-6 libx11-data libx86-1 
      libxapian15 libxau6 libxaw7 libxcb-atom1 libxcb-aux0 libxcb-event1 
      libxcb-keysyms1 libxcb-render-util0 libxcb-render0 libxcb1 
      libxcomposite1 libxcursor1 libxdamage1 libxdmcp6 libxext6 
      libxfixes3 libxfont1 libxft2 libxi6 libxinerama1 libxkbfile1 
      libxml++2.6-2 libxml-parser-perl libxml-xpath-perl libxml2 
      libxml2-utils libxmu6 libxmuu1 libxp6 libxpm4 libxrandr2 
      libxrender1 libxres1 libxslt1.1 libxss1 libxt6 libxtst6 libxv1 
      libxvidcore4 libxvmc1 libxxf86dga1 libxxf86misc1 libxxf86vm1 
      libzephyr4 linux-firmware linux-generic linux-headers-generic 
      linux-image-generic linux-libc-dev linux-sound-base lksctp-tools 
      locales lockfile-progs login logrotate lp-solve lsb-base 
      lsb-release lshw lsof ltrace lzma m17n-contrib m17n-db make makedev 
      man-db manpages mawk media-player-info memtest86+ mesa-utils 
      metacity metacity-common mime-support min12xxw mlocate 
      mobile-broadband-provider-info modemmanager module-init-tools 
      mono-2.0-gac mono-gac mono-runtime mount mountall mousetweaks 
      mozilla-plugin-vlc mplayer mplayer-nogui mscompress mtools mtr-tiny 
      myspell-en-au myspell-en-gb myspell-en-za mysql-common nano 
      nautilus nautilus-data nautilus-sendto nautilus-share ncurses-base 
      ncurses-bin net-tools netbase network-manager network-manager-gnome 
      notify-osd notify-osd-icons ntfs-3g ntpdate nvidia-173-modaliases 
      nvidia-185-modaliases nvidia-96-modaliases nvidia-common 
      obex-data-server obexd-client odbcinst1debian1 onboard 
      openoffice.org-base-core openoffice.org-calc openoffice.org-common 
      openoffice.org-core openoffice.org-draw openoffice.org-emailmerge 
      openoffice.org-gnome openoffice.org-gtk openoffice.org-help-en-gb 
      openoffice.org-help-en-us openoffice.org-hyphenation 
      openoffice.org-hyphenation-en-us openoffice.org-impress 
      openoffice.org-l10n-common openoffice.org-l10n-en-gb 
      openoffice.org-l10n-en-za openoffice.org-math 
      openoffice.org-style-human openoffice.org-thesaurus-en-au 
      openoffice.org-thesaurus-en-us openoffice.org-writer 
      openprinting-ppds openssh-client openssl os-prober parted passwd 
      patch pciutils pcmciautils perl perl-base perl-modules pkg-config 
      pm-utils pnm2ppa policykit-1 policykit-1-gnome poppler-utils 
      powermgmt-base ppp pppoeconf procps protobuf-compiler psfontmgr 
      psmisc pulseaudio pulseaudio-esound-compat 
      pulseaudio-module-bluetooth pulseaudio-module-gconf 
      pulseaudio-module-x11 pulseaudio-utils python python-apport 
      python-apt python-aptdaemon python-aptdaemon-gtk python-avahi 
      python-brlapi python-cairo python-central python-chardet 
      python-crypto python-cups python-cupshelpers python-dbus 
      python-debian python-desktopcouch python-desktopcouch-records 
      python-fstab python-gconf python-gdbm python-glade2 python-gmenu 
      python-gnome2 python-gnomeapplet python-gnomecanvas 
      python-gnomekeyring python-gnupginterface python-gobject 
      python-gst0.10 python-gtk2 python-gtksourceview2 python-httplib2 
      python-ibus python-imaging python-launchpad-integration 
      python-launchpadlib python-libtorrent python-libxml2 python-louis 
      python-minimal python-newt python-notify python-openssl python-pam 
      python-papyon python-pkg-resources python-problem-report 
      python-protobuf python-pyatspi python-pyinotify python-pyorbit 
      python-rdflib python-rsvg python-sexy python-simplejson python-smbc 
      python-software-properties python-speechd python-support 
      python-telepathy python-twisted-bin python-twisted-core 
      python-twisted-names python-twisted-web python-ubuntuone-client 
      python-ubuntuone-storageprotocol python-uno python-virtkey 
      python-vte python-wadllib python-webkit python-xapian python-xdg 
      python-xkit python-zope.interface python2.6 python2.6-minimal 
      radeontool raptor-utils rarian-compat rdesktop readline-common 
      redland-utils rhythmbox rsync rsyslog samba-common samba-common-bin 
      sane-utils screen screen-resolution-extra seahorse sed sgml-data 
      shared-mime-info smartdimmer smbclient software-center 
      software-properties-gtk speech-dispatcher splix sreadahead 
      ssh-askpass-gnome strace sudo synaptic system-config-printer-common 
      system-config-printer-gnome system-config-printer-udev 
      system-tools-backends sysv-rc sysvinit-utils tar tasksel 
      tasksel-data tcl8.4 tcpd tcpdump telepathy-butterfly 
      telepathy-gabble telepathy-haze telepathy-idle 
      telepathy-mission-control-5 telepathy-salut telnet time tk8.4 
      tomboy toshset totem totem-common totem-mozilla totem-plugins 
      transmission-common transmission-gtk tsclient tsconf 
      ttf-dejavu-core ttf-freefont ttf-indic-fonts-core ttf-kacst ttf-lao 
      ttf-liberation ttf-mscorefonts-installer ttf-opensymbol 
      ttf-thai-tlwg ttf-vlgothic tzdata ubufox ubuntu-artwork 
      ubuntu-desktop ubuntu-docs ubuntu-keyring ubuntu-minimal 
      ubuntu-standard ubuntu-system-service ubuntu-wallpapers 
      ubuntu-xsplash-artwork ubuntuone-client ubuntuone-client-gnome ucf 
      udev ufw unattended-upgrades unixodbc uno-libs3 unzip update-inetd 
      update-manager update-manager-core update-notifier 
      update-notifier-common upstart ure ureadahead usb-creator-common 
      usb-creator-gtk usbutils util-linux uuid-runtime vim-common 
      vim-tiny vinagre vino vlc vlc-data vlc-nox vlc-plugin-pulse w3m 
      wget whiptail whois winbind wine wine-gecko wireless-crda 
      wireless-tools wodim wpasupplicant x11-apps x11-common 
      x11-session-utils x11-utils x11-xfs-utils x11-xkb-utils 
      x11-xserver-utils xauth xbitmaps xcursor-themes xdg-user-dirs 
      xdg-user-dirs-gtk xdg-utils xfonts-100dpi xfonts-75dpi xfonts-base 
      xfonts-encodings xfonts-mathml xfonts-scalable xfonts-utils xinit 
      xinput xkb-data xml-core xorg xorg-docs-core xscreensaver-data 
      xscreensaver-gl xserver-common xserver-xorg xserver-xorg-core 
      xserver-xorg-input-all xserver-xorg-input-evdev 
      xserver-xorg-input-mouse xserver-xorg-input-synaptics 
      xserver-xorg-input-vmmouse xserver-xorg-input-wacom 
      xserver-xorg-video-all xserver-xorg-video-apm 
      xserver-xorg-video-ark xserver-xorg-video-ati 
      xserver-xorg-video-chips xserver-xorg-video-cirrus 
      xserver-xorg-video-fbdev xserver-xorg-video-i128 
      xserver-xorg-video-intel xserver-xorg-video-mach64 
      xserver-xorg-video-mga xserver-xorg-video-neomagic 
      xserver-xorg-video-nv xserver-xorg-video-openchrome 
      xserver-xorg-video-r128 xserver-xorg-video-radeon 
      xserver-xorg-video-rendition xserver-xorg-video-s3 
      xserver-xorg-video-s3virge xserver-xorg-video-savage 
      xserver-xorg-video-siliconmotion xserver-xorg-video-sis 
      xserver-xorg-video-sisusb xserver-xorg-video-tdfx 
      xserver-xorg-video-trident xserver-xorg-video-tseng 
      xserver-xorg-video-v4l xserver-xorg-video-vesa 
      xserver-xorg-video-vmware xserver-xorg-video-voodoo xsltproc 
      xsplash xterm yelp zenity zip zlib1g
    I... really doubt I'm supposed to know what everything about that second wall o text. But, should there be a warning about a partial upgrade here in the terminal, or am I good like this?
    Last edited by Eyeless Blond; May 7th, 2010 at 01:59 AM.

  5. #5
    Join Date
    Dec 2008
    Beans
    39

    Re: 9.10 -> 10.04: Update Manager offers "Partial Upgrade", Terminal Offers Nothing.

    Oh, and am I reading this right, that ubuntu is dropping bluetooth?

  6. #6
    Join Date
    Jul 2006
    Location
    somewhere near seattle
    Beans
    74
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: 9.10 -> 10.04: Update Manager offers "Partial Upgrade", Terminal Offers Nothing.

    Quote Originally Posted by Eyeless Blond View Post
    Okay, so I tried hitting up Update Manager to upgrade from Karmic to Lucid (apparently that's the sissy way to do it, but whatever). So, it starts doing its thing... and then a window pops up saying it can only do a "partial upgrade".
    Did you issue a command to invoke Update Manager, or choose it from the menus? If you used a command, which command was it?




    ...um, wasn't that supposed to also do the 9.10->10.04 upgrade? Is there something else screwy going on? And, while I'm on the subject, is there something buggy with the released 10.04, that's giving me only a partial upgrade, or is the problem on my end?
    According to the code you posted, your sources.list is still pointing at Karmic (9.10).
    The two commands you used were:
    apt-get update
    This command checks the repositories for available package upgrades (within the installed version).
    apt-get upgrade
    This command downloads and installs the package upgrades found by apt-get update.

    The command for upgrading your distribution is 'apt-get dist-upgrade' and it will not work unless your sources.list is pointing to the new distribution's repositories.

    Starting Update Manager with 'update-manager --dist-upgrade' should make it do the dist-upgrade and automatically change your sources.list.

  7. #7
    Join Date
    Apr 2005
    Location
    Finland/UK
    Beans
    Hidden!
    Distro
    Ubuntu 16.04 Xenial Xerus

    Re: 9.10 -> 10.04: Update Manager offers "Partial Upgrade", Terminal Offers Nothing.

    I just wanted to point out that running "apt-get dist-upgrade" does not upgrade you to new distribution release. It's just a normal package upgrade, giving you the latest package versions in your current distribution release.

    "sudo apt-get upgrade" installs the latest available package versions from your current release's repositories, and is able to also add new packages when required.

    "sudo apt-get dist-upgrade" is exactly the same as "upgrade", but can also uninstall packages if required to solve the dependencies.

    The way to upgrade to new Ubutnu version is to run "sudo do-release-upgrade" or "gksudo update-manager -D". You can also manually edit your sources-list to point to new release version's repositories and then run dist-upgrade, but that's not recommended.

  8. #8
    Join Date
    Jul 2006
    Location
    somewhere near seattle
    Beans
    74
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: 9.10 -> 10.04: Update Manager offers "Partial Upgrade", Terminal Offers Nothing.

    me@desktop:~$ sudo update-manager -D
    [sudo] password for me:
    Usage: update-manager [options]

    update-manager: error: no such option: -D
    me@desktop:~$ lsb-release -a
    No LSB modules are available.
    Distributor ID: Ubuntu
    Description: Ubuntu 9.10
    Release: 9.10
    Codename: karmic
    According to this and the man page for update-manager there is no -D option.
    'sudo do-release-upgrade' seems to work though.
    Sorry if my information was not correct. Dang newfangled commands, always changing around...
    In MY day, we edited sources.list by hand and liked it! In the snow! Uphill each way! :^P

  9. #9
    Join Date
    Dec 2008
    Beans
    39

    Re: 9.10 -> 10.04: Update Manager offers "Partial Upgrade", Terminal Offers Nothing.

    I think it's supposed to be a lowercase "-d". And, if I recall, that's mostly to allow you to dist-upgrade to a beta distribution, which 10.04 definitely is not.

  10. #10
    Join Date
    Feb 2009
    Location
    Argentina
    Beans
    54
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: 9.10 -> 10.04: Update Manager offers "Partial Upgrade", Terminal Offers Nothing.

    I've the same issue, but upgrading to 9.10.
    Try to fix it became in a nightmare.
    Fresh update seems to be the only solution.
    moonport

Page 1 of 2 12 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •